org.apache.sling.discovery.impl

## Class DiscoveryServiceMBeanImpl

- java.lang.Object
- - javax.management.StandardMBean
  - - org.apache.sling.discovery.impl.DiscoveryServiceMBeanImpl

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration, DiscoveryServiceMBean

    public class DiscoveryServiceMBeanImpl
    extends StandardMBean
    implements DiscoveryServiceMBean

MBean implementation for the DiscoveryServiceImpl

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `startNewVoting()` Starts a new voting (based on the current set of active instances in the cluster).

### Methods inherited from class javax.management.StandardMBean

`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### startNewVoting

    public void startNewVoting()

Description copied from interface: `DiscoveryServiceMBean`
Starts a new voting (based on the current set of active instances in the cluster).

Specified by:
  `startNewVoting` in interface `DiscoveryServiceMBean`